chunked_uploader 0.1.0
chunked_uploader: ^0.1.0 copied to clipboard

A plugin to upload files to server in chunks using Dio.

3
likes
90 / 130
pub points
70 %
popularity

We analyzed this package on Jul 23, 2021, and awarded it 90 pub points (of a possible 130):

Follow Dart file conventions
10 / 20

0/10 points: Provide a valid pubspec.yaml

The package description is too short.

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

5/5 points: Provide a valid README.md

5/5 points: Provide a valid CHANGELOG.md

Provide documentation
0 / 20

0/10 points: Package has an example

No example found.

See package layout guidelines on how to add an example.

0/10 points: 20% or more of the public API has dartdoc comments

  • 0 out of 16 API elements (0.0 %) have documentation comments.

Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API. Document at least 20% of the public API elements.

Support multiple platforms
20 / 20

20/20 points: Supports 2 of 2 possible platforms (native, js)

Pass static analysis
20 / 30

20/30 points: code has no errors, warnings, lints, or formatting issues

lib/chunked_uploader.dart is not formatted according to dartfmt

To format your files run: dartfmt -w .

Support up-to-date dependencies
20 / 20

10/10 points: All of the package dependencies are supported in the latest version

PackageConstraintCompatibleLatest
dio^4.0.04.0.04.0.0
path^1.8.01.8.01.8.0
universal_io^2.0.12.0.42.0.4
Transitive dependencies
PackageConstraintCompatibleLatest
charcode-1.3.11.3.1
collection-1.15.01.15.0
crypto-3.0.13.0.1
http_parser-4.0.04.0.0
meta-1.7.01.7.0
source_span-1.8.11.8.1
string_scanner-1.1.01.1.0
term_glyph-1.2.01.2.0
typed_data-1.3.01.3.0

To reproduce run dart pub outdated --no-dev-dependencies --up-to-date --no-dependency-overrides.

10/10 points: Package supports latest stable Dart and Flutter SDKs

Support sound null safety
20 / 20

20/20 points: Package and dependencies are fully migrated to null safety!

Analysed with Pana 0.19.0, Dart 2.13.4.

3
likes
90
pub points
70%
popularity

A plugin to upload files to server in chunks using Dio.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

dio, path, universal_io

More

Packages that depend on chunked_uploader